import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetColdHouses = createAsyncThunk(
  "SLAUGHTER_GET_COLD_HOUSES",
  async (id, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("cold-house/", {
      params: { total: true },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
